import React, { useEffect } from "react"
import PropTypes from "prop-types"
import { connect } from "react-redux"
import { getAdminModules} from "../../actions/admins"

import Modules from "../modules/modules"

const AdminModulesConnected = ({ modules, loading, getAdminModules }) => {
  useEffect(() => {
    getAdminModules();
  }, [getAdminModules])

  return (
    <Modules modules={modules} isLoading={loading} />
  )
}
AdminModulesConnected.propTypes = {
  modules: PropTypes.object,
  loading: PropTypes.bool,
  getAdminModules: PropTypes.func.isRequired,
};

const mapStateToProps = state => ({
  loading: state.adminStore.get("fetchingModules"),
  modules: state.adminStore.get("modules"),
});

export const AdminModules = connect(mapStateToProps, {getAdminModules})(AdminModulesConnected);
