import React from "react"
import PropTypes from "prop-types"

export const PolochonMetadata = ({
  quality,
  container,
  videoCodec,
  audioCodec,
  releaseGroup,
}) => {
  if (!quality || quality === "") {
    return null;
  }

  const metadata = [
    quality,
    container,
    videoCodec,
    audioCodec,
    releaseGroup,
  ].
    filter(m => (m && m !== "")).
    join(", ")

  return (
    <span>
      <i className="fa fa-file-video-o mr-1" />
      {metadata}
    </span>
  );
}
PolochonMetadata.propTypes = {
  quality: PropTypes.string,
  container: PropTypes.string,
  videoCodec: PropTypes.string,
  audioCodec: PropTypes.string,
  releaseGroup: PropTypes.string,
};
