import React from "react"
import PropTypes from "prop-types"

import { WishlistButton } from "../buttons/wishlist"

export const Title = ({ title, wishlist, wishlisted }) => {
  if (title === "") { return null; }

  return (
    <span className="title">
      <WishlistButton wishlist={wishlist} wishlisted={wishlisted} />
      {title}
    </span>
  );
}
Title.propTypes = {
  title: PropTypes.string,
  wishlist: PropTypes.func,
  wishlisted: PropTypes.bool,
};
Title.defaultProps = {
  title: "",
};
