import React from "react"
import PropTypes from "prop-types"
import { List } from "immutable"
import { connect } from "react-redux"

import { searchEpisodeSubtitles } from "../../../actions/subtitles"

import { SubtitlesButton } from "../../buttons/subtitles"

const episodeSubtitlesButton = ({
  inLibrary,
  imdbId,
  season,
  episode,
  searching,
  searchEpisodeSubtitles,
  subtitles,
}) => (
  <SubtitlesButton
    subtitles={subtitles}
    inLibrary={inLibrary}
    searching={searching}
    search={() => searchEpisodeSubtitles(imdbId, season, episode)}
  />
)

episodeSubtitlesButton.propTypes = {
  inLibrary: PropTypes.bool,
  searching: PropTypes.bool,
  imdbId: PropTypes.string,
  season: PropTypes.number,
  episode: PropTypes.number,
  searchEpisodeSubtitles: PropTypes.func,
  subtitles: PropTypes.instanceOf(List),
}

export const EpisodeSubtitlesButton = connect(null, {searchEpisodeSubtitles})(episodeSubtitlesButton);
